%  fft  ѭ ĳ˻
% ӿ鲻ѭ
clear all
n = 32;

omega = cos(2*pi/n) - 1i*sin(2*pi/n);
F = omega.^([0:n-1].' * [0:n-1]); % DFT matrix

x = randn(n*n,1);
y1 = kron(F,eye(n)) * x;
y2 = fft(reshape(x,n,n).').';
y3 = fft(reshape(x,n,n),[],2);
fprintf(' FFT: n=%d, ||y1-y2||=%.4e, ||y2-y3||=%.4e\n', ...
    n, norm(y1-y2(:))/norm(y1), norm(y2(:)-y3(:)) );

