%  fft  DFT ĳ˻
%
clear all
n = 64;

omega = cos(2*pi/n) - 1i*sin(2*pi/n);
F = omega.^([0:n-1].' * [0:n-1]); % DFT matrix

x = randn(n,1);
fprintf(' FFT: n=%d, relerr=%.4e\n', ...
    n, norm(F*x-fft(x),inf)/norm(x,inf) );
fprintf('IFFT: n=%d, relerr=%.4e\n', ...
    n, norm(F'*x/n-ifft(x),inf)/norm(x,inf) );

